/////////////////////////////////////////////////////////////////////////////////
// ai.gs
// included by game.gs
// deals with A.I. beahaviours
/////////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////////
// IN: int(object index)
// Train AI
// Uses target waypoint from where it takes speed (O_WAYPOINTSPEED=O_USER+0) and flip (O_WAYPOINTFLIP=O_USER+1).
// When target waypoint is reached, it gets a new target from the waypoint.
// It moves only if object's O_STATUS is 1.
/////////////////////////////////////////////////////////////////////////////////
func AIUpdateTrain( idx )
{
	if(idx==-1) return;
	if(ObjGet(idx,O_DISABLE)) return;
	if(!IsUpdate(ObjGet(idx,O_DELAY))) return;
	if(ObjGet(idx,O_STATUS)!=1) return;

	id2 = ObjGet(idx,O_TARGET);
	if(id2==0) return;
	idx2 = ObjFind(id2);
	if(idx2==-1) return;

	speed = ObjGet(idx2,O_WAYPOINTSPEED);
	flip = ObjGet(idx2,O_WAYPOINTFLIP);
	x2 = ObjGet(idx2,O_X);
	y2 = ObjGet(idx2,O_Y);

	x = ObjGet(idx,O_X);
	y = ObjGet(idx,O_Y);
	ObjSet(idx,O_FLIP,flip);

	if(x<x2) { x+=speed; if(x>x2) x=x2; }
	if(x>x2) { x-=speed; if(x<x2) x=x2; }
	if(y<y2) { y+=speed; if(y>y2) y=y2; }
	if(y>y2) { y-=speed; if(y<y2) y=y2; }
	if(x==x2 && y==y2) // reached waypoint, change target
	{
		target = ObjGet(idx2,O_TARGET);
		ObjSet(idx,O_TARGET,target);
	}

	ObjSet(idx,O_X,x);
	ObjSet(idx,O_Y,y);
}

/////////////////////////////////////////////////////////////////////////////////
// IN: int(object index)
// ChainLink AI
// Updates chain's height, down to the target's y position.
/////////////////////////////////////////////////////////////////////////////////
func AIUpdateChainLink( idx )
{
	if(idx==-1) return;
	id2 = ObjGet(idx,O_TARGET);
	if(id2==0) return;
	idx2 = ObjFind(id2);
	if(idx2==-1) return;
	len = ObjGet(idx2,O_Y)-ObjGet(idx,O_Y);
	ObjSet(idx,O_H,len);
}

/////////////////////////////////////////////////////////////////////////////////
