/////////////////////////////////////////////////////////////////////////////////
// Defines file
/////////////////////////////////////////////////////////////////////////////////
#def GAME_SCRW		256			// screen's width (fixed by engine to Z80 screen size)
#def GAME_SCRH		192			// screen's height (fixed by engine to Z80 screen size)
#def GAME_VIEWW		240			// room's width (fixed by engine)
#def GAME_VIEWH		136			// room's height (fixed by engine)
#def AIR_LEVEL		100			// player's air critical level
#def STUN_LEVEL		20			// player's stun critical level
#def EMOTION_NOAIR1	6			// player's emotion offset for no air1
#def EMOTION_NOAIR2	7			// player's emotion offset for no air2
#def EMOTION_NOAIR3	8			// player's emotion offset for no air3
#def DIZ_HURT		4			// default hurt level for "hurt" materials
#def WINDPOW		2			// default wind power
#def MAXCREDITS		3			// max number of credits
#def MAXCOINS		4			// max number of coins to find
#def MAXINVENTORY	3			// max number of inventory items ( don't exceed G_USER-G_INVENTORY )
#def DIZ_POW		7			// player's jump power
#def DIZ_STEP		4			// player's walk step (fixed by engine)
#def JUMPFIXPOW		16			// fix jumper power
#def JUMPPROPOW		16			// pro jumper power limit
#def FLIPX			1			// flip x bit value
#def FLIPY			2			// flip y bit value

// key indexes
#def KEY_LEFT		0			// left key bit (fixed by engine)
#def KEY_RIGHT		1			// right key bit (fixed by engine)
#def KEY_JUMP		2			// jump key bit (fixed by engine)
#def KEY_ACTION		3			// action key bit (fixed by engine)
#def KEY_MENU		4			// menu key bit (fixed by engine)

#def MAT_AIR		0			// void
#def MAT_WATER		1			// water (void); player can drawn in water
#def MAT_HURT		2			// hurt (void); player gets hurt
#def MAT_KILL		3			// kill (void); player gets killed
#def MAT_CLOUD		4			// clouds (medium); player sinks on clouds
#def MAT_CLIMB		5			// stairs (medium); player stands on
#def MAT_WIND		6			// winds (medium); player is pushed up
#def MAT_BLOCK		7			// ground, walls (hard); blocks the player
#def MAT_JUMPFIX	8			// jumper fix (hard)
#def MAT_JUMPPRO	9			// jumper progressive (hard)

// objects classes
#def CLASS_NONE		0			// default
#def CLASS_ACTION	1			// those objects can be used with action
#def CLASS_HURT		2			// used for objects that should hurt you (no automation implemented)
#def CLASS_KILL		3			// used for objects that should kill you (no automation implemented)
#def CLASS_ITEM		4			// those objects can be picked up in the inventory
#def CLASS_COIN		5			// those objects can be collected as coins
#def CLASS_FOOD		6			// those objects can eaten to grow the life
#def CLASS_LIFE		7			// those objects gives a credit when picked up.
#def CLASS_WAYPOINT	8			// used for dummy waypoints (no automation implemented)

// colors
#def COLOR_BLACK	0xff000000
#def COLOR_BLUE		0xff0000ff
#def COLOR_RED		0xffff0000
#def COLOR_MAGENTA	0xffff00ff	
#def COLOR_GREEN	0xff00ff00
#def COLOR_CYAN		0xff00ffff
#def COLOR_YELOW	0xffffff00
#def COLOR_WHITE	0xffffffff
#def COLOR_DIALOG	0xff00ff00	// dialog default border color

// globals starting from G_USER=64
#def G_SHAKE		64			// shake frames counter
#def G_RUMBLE		65			// rumble frames counter
#def G_COVER		66			// if cover screen is painted
#def G_STATIC		240			// from here we don't reset on restart
#def G_RESTART		240			// true after first start, false after that
// ...

// objects starting from O_USER=32
#def O_DEATH			32		// cause of death for class kill and hurt
#def O_WAYPOINTSPEED	33		// speed value for class waypoint
#def O_WAYPOINTFLIP		34		// flip value for class waypoint

// player starting from P_USER=64
#def P_DEATH			64		// cause of death

/////////////////////////////////////////////////////////////////////////////////
