/////////////////////////////////////////////////////////////////////////////////
// objects.gs
// included by game.gs
// User writes here functions that deal with objects responses
// Those callbacks may be latent
// PickupObject_ID()
// DropObject_ID()
// ActionObject_ID()
// UseObject_ID( idx )	NOTE: uses object idx (from inventory) over the id object (from the map)
// CollideObject_ID_MODE()
/////////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////////
// Set objects names.
// All pickable objects (CLASS_ITEM) should have valid names.
/////////////////////////////////////////////////////////////////////////////////
func ObjectsSetNames()
{
	ObjSetName(ObjFind(200), "Shovel");
	ObjSetName(ObjFind(201), "Pickax");

	ObjSetName(ObjFind(202), "Coco-nut");
	ObjSetName(ObjFind(203), "Coco-nut");
	ObjSetName(ObjFind(204), "Coco-nut");
	ObjSetName(ObjFind(205), "Coco-nut");
	ObjSetName(ObjFind(206), "Coco-nut");
	ObjSetName(ObjFind(207), "Coco-nut");
	ObjSetName(ObjFind(208), "Coco-nut");
	ObjSetName(ObjFind(211), "Coco-nut");

	ObjSetName(ObjFind(209), "G.E.C.K.");
	ObjSetName(ObjFind(210), "Castle key");

	ObjSetName(ObjFind(4502), "Dungeon key");
	ObjSetName(ObjFind(4600), "Bag");
	ObjSetName(ObjFind(4700), "Magic amulet");
	ObjSetName(ObjFind(4800), "Scull");
	ObjSetName(ObjFind(4900), "Green frog");
}

func CocoNut(idx)
{
    obidx = ObjFind(idx);

	if (!InventoryAdd(obidx)) // inventory is full
	{
		OpenDialogMessage("YOUR HANDS ARE FULL");
		return;
	}

    SamplePlay(FX_BEEP1);
    Message2(6, 6, "Good!\nYou found Coco-nut!");
    MessagePop();
    ObjSet(obidx, O_DISABLE, 1);
}

func PickupObject_202()
{
    CocoNut(202);
}

func PickupObject_203()
{
    CocoNut(203);
}

func PickupObject_204()
{
    CocoNut(204);
}

func PickupObject_205()
{
    CocoNut(205);
}

func PickupObject_206()
{
    CocoNut(206);
}

func PickupObject_207()
{
    CocoNut(207);
}

func PickupObject_208()
{
    CocoNut(208);
}

func PickupObject_211()
{
    CocoNut(211);
}

func UseObject_1000(idx)
{
    if (ObjGet(idx, O_ID) != 200) return;

    objidx = ObjFind(1000);
	status = ObjGet(objidx, O_STATUS);
	if (status == 0)
	{
    	idxdirt = BrushFind(1001);
    	BrushSet(idxdirt, B_DRAW, 0);
        BrushSet(idxdirt, B_MATERIAL, 0);
        GameCommand(CMD_REFRESH);
        ObjSet(objidx, O_STATUS, 1);
    }
    else if (status == 1)
    {
        idxdirt = BrushFind(1002);
    	BrushSet(idxdirt, B_DRAW, 0);
        BrushSet(idxdirt, B_MATERIAL, 0);
        GameCommand(CMD_REFRESH);
        ObjSet(objidx, O_STATUS, 2);
    }
    else if (status == 2)
    {
        idxdirt = BrushFind(1003);
    	BrushSet(idxdirt, B_DRAW, 0);
        BrushSet(idxdirt, B_MATERIAL, 0);
        GameCommand(CMD_REFRESH);
        ObjSet(objidx, O_STATUS, 3);
        SamplePlay(FX_SUCCESS);
    }
}

func UseObject_1007(idx)
{
    if (ObjGet(idx, O_ID) != 210) return;

    objidx = ObjFind(1007);
	status = ObjGet(objidx, O_STATUS);
	if (status == 0)
	{
    	idxdirt = BrushFind(1008);
    	BrushSet(idxdirt, B_DRAW, 0);
        BrushSet(idxdirt, B_MATERIAL, 0);
        GameCommand(CMD_REFRESH);
        ObjSet(objidx, O_STATUS, 1);
        SamplePlay(FX_SUCCESS);
    }
}

func UseObject_4501(idx)
{
    if (ObjGet(idx, O_ID) != 4502) return;

    objidx = ObjFind(4501);
	status = ObjGet(objidx, O_STATUS);
	if (status == 0)
	{
    	idxdirt = BrushFind(4500);
    	BrushSet(idxdirt, B_DRAW, 0);
        BrushSet(idxdirt, B_MATERIAL, 0);
        GameCommand(CMD_REFRESH);
        ObjSet(objidx, O_STATUS, 1);
        SamplePlay(FX_SUCCESS);
    }
}

func UseObject_1005(idx)
{
    if (ObjGet(idx, O_ID) != 201) return;

    objidx = ObjFind(1005);
	status = ObjGet(objidx, O_STATUS);
	if (status == 0)
	{
    	idxdirt = BrushFind(1006);
    	BrushSet(idxdirt, B_DRAW, 0);
        BrushSet(idxdirt, B_MATERIAL, 0);
        GameCommand(CMD_REFRESH);
        ObjSet(objidx, O_STATUS, 1);
        SamplePlay(FX_SUCCESS);
        Message2(6, 6, "Good!\nWay is free!");
        MessagePop();
    }
}

func UseObject_666(idx)
{
    if (ObjGet(idx, O_ID) == 209)
	{
        InventorySub(idx);
        ObjSet(idx, O_DISABLE, 1);
        SamplePlay(FX_SUCCESS);
        Message2(6, 6, "Good!\nYou found G.E.C.K.\nThank you, egg.");
        MessagePop();
        SamplePlay(FX_SUCCESS);
        Message1(5, 4, "{c:FFc8c800}Greetings!\n\nYou complete game!\n\nGood luck!");
        MessagePop();
        GameCommand(CMD_EXIT);
	}
}

func CollideObject_1004_1(idx)
{
    objidx = ObjFind(1004);
    status = ObjGet(objidx, O_STATUS);

	if (status == 0)
	{
        Message2(6, 6, "Holy shit!\nIt's uncle Tom corpse!");
        MessagePop();
        Message2(6, 6, "Oh.. I must go out!");
        MessagePop();
        ObjSet(objidx, O_STATUS, 1);
    }
}

func CollideObject_1011_1(idx)
{
    objidx = ObjFind(1011);
    status = ObjGet(objidx, O_STATUS);

	if (status == 0)
	{
        Message2(6, 6, "Hello, egg\nGlad to meet you!");
        MessagePop();
        Message2(6, 6, "Listen..\nWe are dying..\nYou must find\nG.E.C.K.!");
        MessagePop();
        Message2(6, 6, "G.E.C.K. it's cool tools\nkit. Find it!!");
        MessagePop();
        ObjSet(objidx, O_STATUS, 1);
    }
}

func CollideObject_1012_1(idx)
{
    MusicPlay(MUSIC_TUNE1, 1, 0);
}

func CollideObject_1013_1(idx)
{
    MusicPlay(MUSIC_TUNE1, 1, 0);
}

func CollideObject_1014_1(idx)
{
    MusicPlay(MUSIC_TUNE2, 1, 0);
}

func CollideObject_1009_1(idx)
{
    objidx = ObjFind(1009);
    status = ObjGet(objidx, O_STATUS);

	if (status == 0)
	{
        Message2(6, 6, "You see table:\n{c:FFC8C800}Don't forget collect\nCoco-nuts!");
        MessagePop();
        ObjSet(objidx, O_STATUS, 1);
    }
}

// Users may add callbacks here...

/////////////////////////////////////////////////////////////////////////////////
