/////////////////////////////////////////////////////////////////////////////////
// start.gs
// included by game.gs
/////////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////////
// Game Start latent function requested by the HandlerGameStart.
// Should loads tiles and sound (usually only one) and map (each time).
// Also sets rooms and objects names since they may have changed during gameplay.
// Then, it can call an eventual main menu or an intro sequence.
/////////////////////////////////////////////////////////////////////////////////
func GameStartLoad()
{
	// FIRST TIME LOADING
	if(!GameGet(G_RESTART))
	{
		time = gs_time();

		// TILES
		TileLoad("data\\tiles\\loading\\");
		stop; // wait for one draw, to paint the loading screen
		TileLoad("data\\tiles\\");
		if(TileCount()==0)
		{
			gs_messagebox("No tiles loaded!","ERROR");
			GameCommand(CMD_EXIT);
			stop;
		}

		// SOUNDS
		SoundInit(); // load sound and music

		// wait a 3 sec to see the loading screen, if loading was too fast
		if(gs_time()-time<3000) WaitTime(1);
	}

	// RELOAD MAP
	ok = MapLoad("data\\map\\dizzy.map");
	if(!ok)
	{
		gs_messagebox("Map loading failed!","ERROR");
		GameCommand(CMD_EXIT);
		stop;
	}

	// rooms and objects names
	RoomsSetNames();
	ObjectsSetNames();

	GameSet(G_RESTART,1);

	// RUN INTRO
	// Intro();
	TutorialStart();
}

/////////////////////////////////////////////////////////////////////////////////
